Favicon

You are here: Home > API Reference > Windows > Windows Policies > Remove Windows policy configuration

Remove Windows policy configuration

Required Permission: mdm.windows.policy.remove

Remove Windows policy permanently from organization if not currently assigned to any devices or groups for cleanup.

DELETE
/v1/organizations/:organizationId/mdm/windows/enterprise/policies/:winPolicyId
Copy to clipboard

Remove Windows policy configuration

Required Permission: mdm.windows.policy.remove

Remove Windows policy permanently from organization if not currently assigned to any devices or groups for cleanup.

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
winPolicyId string
required
Windows policy identifier used for retrieving, updating, or deleting specific policy configurations within the management system.
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean optional
data object optional
delete string optional
OK
{
    "status": true,
    "data": {
        "delete": "OK"
    }
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
5094
message string optional
Policy is assigned
{
    "status": false,
    "error": {
        "code": 5094,
        "message": "Policy is assigned"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4001
message string optional
Unauthorized
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}